[compat] Remove import compatibility with 2.3/2.4 builtin and itertools functions (related to #264017) [applied]